//+------------------------------------------------------------------+
//|                                                  TradeExpert.mqh |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//includes
#include <Trade\Trade.mqh>
#include <Trade\AccountInfo.mqh>
#include <Trade\DealInfo.mqh>
#include <Trade\SymbolInfo.mqh>
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
class CTradeExpert
  {
private:
   int               Magic_No;   // Expert Advisor magic number

public:
   CTrade            e_trade;    // An object for executing trade orders
   CAccountInfo      e_account;  // An object for receiving account properties
   CDealInfo         e_deal;     // An object for receiving deal properties
   CSymbolInfo       e_symbol;   // An object for receiving symbol properties

public:
   double            e_pnt;      // Value in points

public:
   void              CTradeExpert();
   bool              CheckSignal(long dir);
   void              OpenPosition(long dir);
   void              CheckPosition(long dir);
   void              ClosePosition(long dir);
   void              setMagic(int magic);
   void             ~CTradeExpert();
  };
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTradeExpert::CTradeExpert()
  {

  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTradeExpert::setMagic(int magic)
  {
   Magic_No=magic;
  }
//+------------------------------------------------------------------+
bool CTradeExpert::CheckSignal(long dir)
  {
   Print("Check Signal for dir ="+IntegerToString(dir));
   return(true);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTradeExpert::OpenPosition(long dir)
  {
   Print("Open Position for dir ="+IntegerToString(dir));
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTradeExpert::CheckPosition(long dir)
  {
   Print("Check Position for dir ="+IntegerToString(dir));
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void CTradeExpert::ClosePosition(long dir)
  {
   Print("Close Position for dir ="+IntegerToString(dir));
  }
//+------------------------------------------------------------------+
void CTradeExpert::~CTradeExpert()
  {

  }
//+------------------------------------------------------------------+
